# AttributeSurfacePrimitive

#### new Cesium.AttributeSurfacePrimitive(options)
MapGIS/Entity/AttributeSurfacePrimitive.js 32

Name | Type | Description
--- | --- | ---

`options`

Object

Name | Type | Default | Description
--- | --- | --- | ---
`viewer` | Object |  | 视图对象
`pnts` | Array.<Array.<Cartesian3>> |  | 顶点集
`uvs` | Array.<Number> |  | 纹理坐标
`attSpan` | Number |  | 属性跨度
`width` | Number | `20` | optional 面默认大小
`alpha` | Number | `1.0` | optional 初始化半透明参数

### Members

#### alpha : Number
MapGIS/Entity/AttributeSurfacePrimitive.js 179

整体透明度

Default Value: `1.0`

#### curIndex : Number
MapGIS/Entity/AttributeSurfacePrimitive.js 205

方向索引

#### image : String
MapGIS/Entity/AttributeSurfacePrimitive.js 222

纹理图片

##### Example:

    var image = 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAQAAAAABCAYAAAAxWXB3AAAAAXNSR0IArs4c6QAAAHtJREFUOE/VksEOgDAMQqH7/08emNZGPUxPevCwZC/NOgJQhBVAHg9i0nVfchAzLvNkGh7AzPdfMk999d/PWATU/qb+t1iXvHL/E6/ylbGHrQA94DT2lgPOoI95cgVRBaC/ZJ76ugCH3j+wCKr97QK8wlWkzi/3P/Ei3w1kckASHtTExwAAAABJRU5ErkJggg==';

#### readonly primitive : Primitive
MapGIS/Entity/AttributeSurfacePrimitive.js 195

实体对象

### Methods

#### add()
MapGIS/Entity/AttributeSurfacePrimitive.js 236

加入渲染队列

#### remove()
MapGIS/Entity/AttributeSurfacePrimitive.js 243

移出渲染队列